LINUX.ORG.RU

Проблемы с xf86-video-virtualbox

 ,


0

1

При установке xf86-video-virtualbox наблюдаю такую картину:

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-base/xorg-server:0

  (x11-base/xorg-server-1.13.4-r1::gentoo, ebuild scheduled for merge) pulled in by
    <x11-base/xorg-server-1.13.99[-minimal] required by (x11-drivers/xf86-video-virtualbox-4.1.26::gentoo, ebuild scheduled for merge)

  (x11-base/xorg-server-1.14.3-r2::gentoo, installed) pulled in by
    x11-base/xorg-server:0/1.14.3= required by (x11-drivers/xf86-input-evdev-2.8.1::gentoo, installed)
    x11-base/xorg-server:0/1.14.3= required by (x11-drivers/xf86-video-vesa-2.3.3::gentoo, installed)

Никак не могу сообразить, как бороться.
Что характерно, на настоящем железе с таким не сталкивался.

ну и чего непонятного
vbox требует одну версию, а evdev с везой другую.

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

Спасибо, конечно, за объяснение, но что делать с этим?
Маскировать? Ставить три версии слотами? Еще что-то?

Waldo-de-Kard ★★ ()
Ответ на: комментарий от Waldo-de-Kard

либо крестик сними, либо штаны надень

а по делу либо даунгрейд иксовых дров, либо размаскировывай свежий x11-drivers/xf86-video-virtualbox

daemonpnz ★★★★★ ()
Ответ на: комментарий от daemonpnz

xf86-video-virtualbox - это и есть иксовые дрова, ведь так? Т.е. нужно либо выше, либо ниже? Но только не последнюю актуальную версию?)

Waldo-de-Kard ★★ ()
Ответ на: комментарий от Waldo-de-Kard
    x11-base/xorg-server:0/1.14.3= required by (x11-drivers/xf86-input-evdev-2.8.1::gentoo, installed)
    x11-base/xorg-server:0/1.14.3= required by (x11-drivers/xf86-video-vesa-2.3.3::gentoo, installed)

вот это

daemonpnz ★★★★★ ()
Ответ на: комментарий от Waldo-de-Kard

Какая у вас версия virtualbox ?

Размаскируйте x11-drivers/xf86-video-virtualbox-4.2.18 или 4.3.0 и ставьте их.

* x11-drivers/xf86-video-virtualbox
     Available versions:  4.1.26 ~4.2.18 ~4.3.0 {{dri kernel_linux python_single_target_python2_7 python_targets_python2_7}}
     Homepage:            http://www.virtualbox.org/
     Description:         VirtualBox video driver
kostik87 ★★★★★ ()

Всем спасибо, господа. Версия 4.3.0 ни слова не сказала. Посмотрим как оно дальше пойдет. И все-таки неясно, что за лаги с зависимостями.

Waldo-de-Kard ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.